rm(list=ls())

#modification du rpertoire courant
setwd("... votre dossier de travail ...")

#importation des donnes
library(xlsx)
sms <- read.xlsx("sms regular expression.xlsx",sheetIndex=1)
print(sms)

#contenant "crazy" en minuscule  ==> 1
print(grep("crazy",sms$message))

#contenant une rfrence http ==> 10
print(grep("http",sms$message))

#contenant le symbole  ==> 6 et 9
print(grep("",sms$message))

#contenant le terme "call" min. ou maj. ==> 8 et 9
print(grep("call",sms$message,ignore.case=TRUE))

#contenant ? ou ! ==> 6, 9 et 10
print(grep("[\\?\\!]",sms$message))

#contenant tout caractre de ponctuation
print(grep("[[:punct:]]",sms$message))

#contenant au moins 1 chiffre ==> 3, 6, 8 et 9
print(grep("[[:digit:]]",sms$message))

#contenant un numro de tel. ==> 3 et 9
print(grep("[[:digit:]]{9}",sms$message))

#contenant xxx en min ou maj ==> 6 et 10
print(grep("[x]{3}",sms$message,ignore.case=TRUE))

#commenant par xxx min ou maj ==> 10
print(grep("^[x]{3}",sms$message,ignore.case=TRUE))

#contenant 3 points de suspensions ==> 1, 2 et 4
print(grep("[\\.]{3}",sms$message))

#contenant une rfrence  un des mois du printemps ==> 3
print(grep("(march|april|may|june)",sms$message,ignore.case=TRUE))

#commenant par Free
print(grep("^Free",sms$message))
